<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [getServerDetails](./bitburner.darknet.getserverdetails.md)

## Darknet.getServerDetails() method

Returns the darknet-specific details of the server.

If the darknet server has recently gone offline, the returned object will be a dummy server object with `isOnline: false`<!-- -->.

**Signature:**

```typescript
getServerDetails(host?: string): DarknetServerDetails & { isOnline: boolean };
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the server to analyze. Defaults to the running script's server if not specified.


</td></tr>
</tbody></table>

**Returns:**

[DarknetServerDetails](./bitburner.darknetserverdetails.md) &amp; { isOnline: boolean }

An object containing the server's darknet-specific details.

## Remarks

RAM cost: 0.1 GB

